Bug 1120705 - Systems search drop-down lists not sorted
Summary: Systems search drop-down lists not sorted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.17
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 0.17.2
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 14:01 UTC by Jan Stodola
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 02:35:06 UTC


Attachments (Terms of Use)

Description Jan Stodola 2014-07-17 14:01:40 UTC
Description of problem:
Search Options at the "Systems" page has unsorted drop-down lists "Table" and "Keyvalue". Please, sort them for easier searching.

Version-Release number of selected component (if applicable):
Beaker 0.17.0 

How reproducible:
always

Steps to Reproduce:
1. go to Systems -> All
2. Show Search Options
3. see the list of options for the Table and Keyvalue drop-down lists

Actual results:
drop-down lists not sorted, for example:

CPU/Flags
System/Location
CPU/Vendor
CPU/Sockets
Devices/Device_id
CPU/Speed
...

Expected results:
sorted lists

Comment 3 Dan Callaghan 2014-07-28 02:16:01 UTC
On Gerrit: http://gerrit.beaker-project.org/3219

Comment 5 yule 2014-07-29 01:49:19 UTC
passed testing

Comment 8 Amit Saha 2014-07-30 02:35:06 UTC
beaker-0.17.2 has been released.


Note You need to log in before you can comment on or make changes to this bug.